package actual;

import java.util.Random;

class GaugeThread extends Thread {
   Gauge gauge;
   static int seed = 1;

   GaugeThread(Gauge var1) {
      super("Gauge thread");
      this.gauge = var1;
   }

   public void run() {
      Random var1 = new Random((long)(seed++));
      int var2 = this.gauge.getTotalAmount() / 2;

      while(true) {
         float var3 = var1.nextFloat();
         if ((double)var3 > (double)0.5F) {
            if (var2 < this.gauge.getTotalAmount()) {
               var2 += 2;
            }
         } else if (var2 > 0) {
            var2 -= 2;
         }

         this.gauge.setCurrentAmount(var2);

         try {
            Thread.sleep(100L);
         } catch (InterruptedException var4) {
         }
      }
   }
}
